Bug 16180 - Problem with Redhat 6.2 w/ SMP and IO APIC
Problem with Redhat 6.2 w/ SMP and IO APIC
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i586 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-14 13:59 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 20:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-14 13:59:02 EDT
When booting Redhat 6.2, I get an error message and the system locks up. At
this point, it is not possible to page up to view the text that is not 
visible on the screen. This does not occur when booting from a boot 
diskette. I booted up from a diskette and recompiled the kernel according 
to the SMP How To. It says that you must 1. Enable SMP support, 2. Enable 
Real Time Clock support, 3. Disable Advanced Power Managment  4. Enable 
Memory Type Range Register. The MP table in the bios is set to version 1.1.
I tried MP table 1.4 but it also crashes.

The board that I am using is a dual 700Mhz pentium III slot 1 processors 
w/256K on board Die cache w/128 MB dimm mem module w/ ecc 100mhz FSB

ports:
2 - enet
1 - scsi
1 - parallel
1 - serial

When I boot up linux and type: linux noapic, the computer boots fine but in
Single processer mode.

Please advise me what to do to fix this so I can run in SMP mode.

This is the error message that I am getting:

 ..... system bus clock speed is 0.000 Mhz Error: only one processer
found. ENABLING IO-APIC IRQs no explicit IRQ entries,using default mptable
Unable to handle kernel paging request at virtual address ffffd000
current->tss.cr3 = 00101000, %cr3 = 00101000
*pde = 00284067
*pte = 00000000
Oops: 0002
CPU:    0
EIP:    0010:[<c024d7cb>]
EFLAGS:  00010246
eax: 00000068    ebx: 0000000e ecx: 00000010 edx: c0273fa0
esi: ffffdffb    edi: 00000000 ebp: c0273fa2 esp: c0247f88
ds: 0018 es: 0018 ss: 0018
Process Swapper (pid: 0, process nr: 0, stackpage=c023b000
Stack  00000000 00000020 00000001 c0266c80 c0241944 c01dda60 80000000 
00000020
       00000001 c0266c80 c02407f5 c02408ea 00000000 00098800 c0106000 
00001000
       00000286 00000027 00000000 c023caf5 c023cce2 c01da300 1f875f78 
1f875f78
Call Trace: [<c01dda60>] [<c0106000>] [<c01da300>] [<c01060000>] 
[<c01001ae>]
Code: c7 05 00 d0 ff ff 00 00 00 00 a1 10 d0 ff ff 89 04 24 68 e0
Kernel Panic: Attempted to kill the idle task!
In Swapper task - not syncing
Comment 1 Alan Cox 2000-08-22 13:09:08 EDT
This does not look like a happy machine. The fact booting noapic comes up single
CPU strongly suggests that. 
Comment 2 Perry Harrington 2000-12-10 01:44:42 EST
I would suspect that the BIOS is horribly in need of an update.  The data being
fed to the kernel by the BIOS at boot is probably messed up.  Try a later BIOS
rev.

Note You need to log in before you can comment on or make changes to this bug.